#!/bin/sh
_java=`which java`
if [ "$_java" = "" ]; then
	if [ "$DISPLAY" ]
	then
		zenity --error --text 'No JRE (Java Runtime Environment) can be found, please install one.'
	else
		echo -e '\e[00;31m!!! No JRE (Java Runtime Environment) can be found, please install one. !!!\e[00m'
	fi
	exit 1
fi

_olddir=`pwd`
cd $(dirname $0)
_basepath=`pwd`

# Install menu link
_menuDir="$HOME/.local/share/applications"
echo ".desktop files should usually be installed in: $_menuDir"
echo "Please press [ENTER] to confirm the path or enter the correct one:"
read _user
if [ "$_user" != "" ]; then
	_menuDir="$_user"
fi
echo "Use menu path: $_menuDir"
mkdir -p $_menuDir
_desktop="$_menuDir/CeboMultiLogger.desktop"
echo "[Desktop Entry]" > $_desktop
echo "Name=CeboMultiLogger" >> $_desktop
#echo "Comment[de]=" >> $_desktop
#echo "Comment=" >> $_desktop
echo "Type=Application" >> $_desktop
echo "StartupNotify=true" >> $_desktop
echo "Categories=Mesaure" >> $_desktop
echo "Exec=$_basepath/multilogger.sh" >> $_desktop
echo "Icon=$_basepath/appicon.png" >> $_desktop

_uninst="$_basepath/uninstall.sh"
echo "Create uninstall script: $_uninst"
echo '#!/bin/sh' > $_uninst
echo "rm -f $_desktop" >> $_uninst

chmod +x $_uninst

cd "$_olddir"
